# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from sst import actions as action
from settings import URL

action.go_to(URL)
#click the projects link in the top_nav
action.click_link(action.get_element_by_xpath('//*[@id="top_nav"]/ul/li[3]/a'))
action.assert_url('{}/project'.format(URL))
action.assert_table_headers(
    'DataTables_Table_0', ['Name',
                           'Last Build',
                           'Line Coverage',
                           'Branch Coverage',
                           'Passed',
                           'Failed',
                           'Skipped',
                           ])
