# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from ci.models import (LaunchpadProject)
#from launchpadlib.launchpad import Launchpad


def create_launchpad_project_from_name(name):
    """Create a Launchpad Project by name."""

    # TODO ultimately bond this with LP proper (not now)
    #lp = Launchpad.login_with('qa_dashboard', 'production')
    launchpad_project, created = LaunchpadProject.objects.get_or_create(name=name)
    return launchpad_project
