from django.test import TestCase
from django.core.urlresolvers import reverse


class TestDailyReleaseOverview(TestCase):

    def test_daily_release_template(self):
        resp = self.client.get(reverse('stacks'))
        self.assertTemplateUsed(resp, 'daily_release_overview.html')

    def test_daily_release_context(self):
        resp = self.client.get(reverse('stacks'))

        self.assertEqual(resp.status_code, 200)

        print resp.context[0]
        self.assertTrue('stack_list' in resp.context[0])
        self.assertTrue('project_list' in resp.context[0])
        self.assertTrue('show_filter' in resp.context[0])
        self.assertTrue('release_list' in resp.context[0])
